using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TakmicenjePecina1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            int n = int.Parse(s1[0]);
            int h = int.Parse(s1[1]);
            int k = 0;
            int[]a = new int[n];
            string[] s = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
                k++;
                if(h >= a[i])
                {
                    Console.WriteLine(i+1);
                    k--;
                    break;
                }
            }
                if( k==n)
                Console.WriteLine("-1");
            Console.Read();
        }
    }
}